package com.css.txw.mhzc.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.css.txw.mhzc.pojo.YhxxReqDTO;
import com.css.txw.mhzc.pojo.domain.TxwMhzcHtyhxxbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
* @author AirlH
* @description 针对表【txw_mhzc_htyhxxb(后台用户信息表)】的数据库操作Mapper
* @createDate 2025-09-09 09:41:02
* @Entity com.css.txw.mhzc.pojo.domain.TxwMhzcHtyhxxb
*/
public interface TxwMhzcHtyhxxbMapper extends BaseMapper<TxwMhzcHtyhxxbDO> {

    default TxwMhzcHtyhxxbDO initHtSessionByDlzh(YhxxReqDTO reqDTO){
        QueryWrapper<TxwMhzcHtyhxxbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(TxwMhzcHtyhxxbDO::getDlzh,reqDTO.getDlzh())
                .eq(TxwMhzcHtyhxxbDO::getYxbz,"Y")
                .eq(TxwMhzcHtyhxxbDO::getSdbz,"N");
        return selectOne(wrapper);
    }

    default TxwMhzcHtyhxxbDO initHtSessionByYhuuid(YhxxReqDTO reqDTO){
        QueryWrapper<TxwMhzcHtyhxxbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(TxwMhzcHtyhxxbDO::getYhUuid,reqDTO.getYhuuid())
                .eq(TxwMhzcHtyhxxbDO::getYxbz,"Y")
                .eq(TxwMhzcHtyhxxbDO::getSdbz,"N");
        return selectOne(wrapper);
    }
}




